---
title: KSN 4
layout: layouts/base_subject.njk
eleventyNavigation:
  key: KSN 4
  parent: KSN
  order: 1
---

<h2 id="overview">Course Overview</h2>
<p>Protocol Analysis</p>
<ul>
  <li><a href="/presentations/networking/tcp_ip/">Internet Protocol Suite
    (TCP/IP)</a></li>
</ul>

<h2>Network Services</h2>
<tl>
  <dt>SSH</dt>
  <dd>The Secure Shell Protocol (SSH) is a cryptographic network protocol for
    operating network services securely over an unsecured network. Its most
    notable application is remotely controlling another computer. Bulme
    provides an ssh server on <code>sandbox.bulme.at</code> which can be used
    by all students.</dd>
  <dt>DNS</dt>
  <dd>The Domain Name System is a decentralized naming system most commonly
    used to map human-friendly domain names to the numerical IP addresses.
    The <kbd>dig</kbd> command can be used to look up DNS records.</dd>
</tl>

<h2>Running Sample Code</h2>
<p>For running the Python code discussed in class, you can
  <ul>
    <li>preferably use your own hardware by
      <a href="http://docs.find-santa.eu/python/installation/">installing
      Python and the required libraries</a> (numpy, matplotlib, ipywidgets and
      jupyterlab)</li>
    <li>use sandbox.bulme.at (login via ssh using
      <code>firstname.lastname</code> as username and your email password)</li>
    <li>resort to <a href="https://colab.research.google.com/">Google
      Colab</a></li>
  </ul>
</p>

<h2 id="exercises">Exercises</h2>
<ul>
  <li><a href="/data/py/rf_exercise.ipynb">RF exercise</a></li>
  <li><a href="https://gaia.cs.umass.edu/kurose_ross/wireshark.php">Wireshark Labs</a></li>
</ul>

<h2 id="source">Source Code Examples</h2>
<ul>
  <li><a href="/data/py/rot13.py">rot13.py</a></li>
  <li><a href="/data/py/data_analysis.ipynb">data_analysis.ipynb</a></li>
</ul>

<h2 id="exams">Prior Exams</h2>
<ul>
  <li><a href="tests/ksn_midterm_s2023_a_en/">KSN 4 mid term s2023 (group a)</a></li>
</ul>

<h2 id="links">Links</h2>

<h3 id="books">Books</h3>
<ul>
  <li><a href="https://www.inference.org.uk/itprnn/book.pdf">Information Theory, Inference, and Learning Algorithms</a></li>
  <li><a href="https://smile.amazon.de/Information-Theory-Tutorial-Introduction-Book/dp/0956372856/ref=tmm_pap_swatch_0?_encoding=UTF8&qid=&sr=">Information Theory: A Tutorial Introduction</a></li>
  <li><a href="https://pysdr.org/">PySDR: A Guide to SDR and DSP using Python</a></li>
</ul>

<h3 id="videos">Videos</h3>
<ul>
  <li><a href="https://www.youtube.com/watch?v=BCiZc0n6COY&list=PLruBu5BI5n4aFpG32iMbdWoRVAA-Vcso6">Introduction to Information Theory (playlist)</a></li>
</ul>



<h2>Lehrplan</h2>
<a href="https://www.ris.bka.gv.at/eli/bgbl/ii/2015/262/ANL1.5/NOR40234867?ResultFunctionToken=52824552-7fbf-4180-b06a-4d04c703dfab&Position=1&SkipToDocumentPage=True&Abfrage=Bundesnormen&Kundmachungsorgan=&Index=&Titel=&Gesetzesnummer=&VonArtikel=&BisArtikel=&VonParagraf=&BisParagraf=&VonAnlage=&BisAnlage=&Typ=&Kundmachungsnummer=&Unterzeichnungsdatum=&FassungVom=15.09.2021&VonInkrafttretedatum=&BisInkrafttretedatum=&VonAusserkrafttretedatum=&BisAusserkrafttretedatum=&NormabschnittnummerKombination=Und&ImRisSeitVonDatum=&ImRisSeitBisDatum=&ImRisSeit=Undefined&ResultPageSize=100&Suchworte=ELEKTRONIK+UND+TECHNISCHE+INFORMATIK">Lehrplan im RIS</a> (Anlage 1.5)

<h3>IV. Jahrgang – Kompetenzmodul 7</h3>
<ul>
  <li>Bereich Grundlagen der Informationstheorie und Übertragungstechnik
    <ul>
      <li>Grundbegriffe der Informationstheorie</li>
      <li>Quellcodierung</li>
      <li>Zeit- und Frequenzdarstellung von zeitkontinuierlichen und zeitdiskreten Signalen</li>
    </ul>
  </li>
  <li>Bereich Hochfrequenztechnik
    <ul>
      <li>HF-Bauelemente</li>
      <li>Leitungen</li>
      <li>Sende- und Empfangskonzepte</li>
    </ul>
  </li>
  <li>Bereich Netzwerke
    <ul>
      <li>Protokollanalyse</li>
    </ul>
  </li>
  <li>Bereich Netzwerkdienste
    <ul>
      <li>Kommunikationstechnische Dienste</li>
    </ul>
  </li>
</ul>

<h3>IV. Jahrgang – Kompetenzmodul 8</h3>
<ul>
  <li>Bereich Grundlagen der Informationstheorie und Übertragungstechnik
    <ul>
      <li>Kanalcodierung</li>
      <li>Modulationsverfahren</li>
    </ul>
  </li>
  <li>Bereich Hochfrequenztechnik
    <ul>
      <li>Antennen und Freiraumausbreitung</li>
    </ul>
  </li>
  <li>Bereich Netzwerke
    <ul>
      <li>Konfiguration von Netzwerkkomponenten</li>
    </ul>
  </li>
</ul>
